format_version: '1.0'

repository_url: https://github.com/bitcraze/crazyflie-firmware

sequence:
  base_version:
    input_file: '376a1de0.zip'
    commit_sha1: 376a1de0dbadf300411c25a04c6f15341259ea43
  fix_attempt:
    - input_file: '0e842f2e.diff'
      commit_sha1: 0e842f2e5aa71dc9b21cd8d19d2fe5921e3663cd
    - input_file: '3ca3d351.diff'
      commit_sha1: 3ca3d3513e9e5258e451ced3b419d57165aeea1b
    
  expected_fix:
    input_file: 'da094423.diff'
    commit_sha1: da0944237a6cc73e99cc73e658aa21a0ad6645c0

  
classification: partial fix
categories:
  - wrong API usage

  
metadata:
  language: C
  strategy: reopen
  build_system: ['make']
  related_issue: https://github.com/bitcraze/crazyflie-firmware/issues/149
